import 'package:dao_wrapped/dao_wrapped.dart';
import 'package:dao_wrapped_annotation/dao_wrapped_annotation.dart';
import 'package:example/model/sample_module.dart';
import 'package:sqflite/sqlite_api.dart';

part 'sample_gateway_table.g.dart';

@DaoTable(SampleModel)
class SampleGatewayTable extends DatabaseGateway<SampleModel> with WithTable {
  @override
  final Database db;
  @override
  final ModelTable modelTable = _Table();

  SampleGatewayTable(this.db);

  @override
  SampleModel fromMap(Map<String, dynamic> map) {
    return SampleModel.fromMap(map);
  }

  @override
  Map<String, dynamic> toMap(SampleModel model) {
    return model.toMap();
  }
}
