import 'package:dao_wrapped/src/dao/dao_mixin.dart';
import 'package:dao_wrapped_annotation/dao_wrapped_annotation.dart';
import 'package:sqflite/sqflite.dart';

/// sql table description with map, and sql database
abstract class DatabaseGateway<T> {
  Database get db;

  String get table;

  String get primaryId;

  Future createTable();

  /// map from bd
  T fromMap(Map<String, dynamic> map);

  /// map to bd
  Map<String, dynamic> toMap(T model);
}
